Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 07 Oct 2017 13:53:34 +0200

martin rudalics <[email-masked]> writes:

> Can you tell me what Jan's first stab at scaling did and what Lars' did
> differently?  Or simpler: How do the return values of xg_get_gdk_scale
> and xg_get_scale differ in practice?  Because IIUC that's what these
> changes boil down to in the case we're discussing here.

If I remember correctly, in some places it looked at the GDK_SCALE
environment variable (which is normally not set on most systems) and in
other places it queried GTK for what the scaling is, leading to general
confusion of what the frame size was supposed to be.

I should have squashed that patch series before applying instead of
merging in my branch.  Merging makes it difficult to see what the
changes really are...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no